$ !=====================================================================
$ ! Build the checksum program on VAX VMS.  The polynom program for
$ ! generating the CRC table works correctly on VMS, but is not
$ ! required for checksum itself, since the latter already has those
$ ! tables in the source code.  We therefore leave the generation of
$ ! polynom in comments.
$ !
$ ! To run the checksum program on VAX VMS, you just create a DCL
$ ! foreign command symbol, something like this:
$ !
$ ! 	chksm :== $public$disk:[beebe.tex.checksum]chksm.exe
$ !
$ ! The leading dollar sign is absolutely essential, and the full
$ ! device and directory path must be specified.  You have to tailor
$ ! your definition to match the actual location of chksm.exe on
$ ! your filesystem.
$ !
$ ! [14-Jul-1992]
$ !=====================================================================
$ ! CFLAGS := "/debug=all /nooptimize "
$ ! LFLAGS := "/debug"
$ CFLAGS := /define=(__STDC__=1)
$ LFLAGS := /noshareable
$ cc 'CFLAGS' checksum.c
$ link /exe=chksm.exe 'LFLAGS' checksum.obj, sys$library:vaxcrtl.olb/lib
$ ! cc 'CFLAGS' polynom.c
$ ! link polynom.obj, sys$library:vaxcrtl.olb/lib
$ f = f$search("chksm.exe")
$ dev = f$parse(f,,,"device")
$ dir = f$parse(f,,,"directory")
$ nam = f$parse(f,,,"name")
$ ext = f$parse(f,,,"type")
$ chr = "$"
$ if ext .eqs. ".com" then chr = "@"
$ write sys$output -
	"To use chksm, define a VMS DCL foreign command symbol like this:"
$ write sys$output nam+" :== "+chr+dev+dir+nam+ext
$ 'nam' :== 'chr''dev''dir''nam''ext'
$ write sys$output "Creating test output in test.new"
$ chksm test.org test.new
$ write sys$output "The only difference here should be in the checksum line"
$ diff test.org test.new
$ write sys$output "Verify the checksum in test.new"
$ chksm -v test.new
